# ApplicationFramework
TKBin
BinDrivers

# BinDrivers_DocumentRetrievalDriver Class Reference

`#include <BinDrivers_DocumentRetrievalDriver.hxx>`

Inheritance diagram for BinDrivers_DocumentRetrievalDriver:

[legend]

## Public Member Functions

Standard_EXPORT | BinDrivers_DocumentRetrievalDriver ()
| Constructor .
virtual Standard_EXPORT Handle_BinMDF_ADriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&theMsgDriver)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT BinDrivers_DocumentRetrievalDriver::BinDrivers_DocumentRetrievalDriver | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_BinMDF_ADriverTable BinDrivers_DocumentRetrievalDriver::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | theMsgDriver | ) | `[virtual]`

| Reimplemented from BinLDrivers_DocumentRetrievalDriver.

Standard_EXPORT const BinDrivers_DocumentRetrievalDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from BinLDrivers_DocumentRetrievalDriver.

The documentation for this class was generated from the following file:

- BinDrivers_DocumentRetrievalDriver.hxx